本文整理汇总了C#中Feature.GetFirstSubFeature方法的典型用法代码示例。如果您正苦于以下问题:C# Feature.GetFirstSubFeature方法的具体用法?C# Feature.GetFirstSubFeature怎么用?C# Feature.GetFirstSubFeature使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Feature
的用法示例。
在下文中一共展示了Feature.GetFirstSubFeature方法的3个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: DumpTraverseFeatures
public void DumpTraverseFeatures(Feature swFeat, long nLevel, ref string asciitext)
{
Feature swSubFeat;
string sPadStr = " ";
long i = 0;
for (i = 0; i <= nLevel; i++)
{
sPadStr = sPadStr + " ";
}
while ((swFeat != null))
{
asciitext += sPadStr + " -" + swFeat.Name + " [" + swFeat.GetTypeName2() + "]" + "\n";
swSubFeat = (Feature)swFeat.GetFirstSubFeature();
if ((swSubFeat != null))
{
DumpTraverseFeatures(swSubFeat, nLevel + 1, ref asciitext);
}
if (nLevel == 1)
{
swFeat = (Feature)swFeat.GetNextFeature();
}
else
{
swFeat = (Feature)swFeat.GetNextSubFeature();
}
}
}
示例2: PythonTraverseFeatures_for_links
public void PythonTraverseFeatures_for_links(Feature swFeat, long nLevel, ref string asciitext, ref MathTransform roottrasf, ref Component2 assemblyofmates)
{
Feature swSubFeat;
int num_link = 0;
while ((swFeat != null))
{
// Export mates as constraints
if ((swFeat.GetTypeName2() == "MateGroup") &&
(this.checkBox_constraints.Checked))
{
swSubFeat = (Feature)swFeat.GetFirstSubFeature();
while ((swSubFeat != null))
{
ConvertMates.ConvertMateToPython(ref swSubFeat, ref asciitext, ref mSWApplication, ref saved_parts, ref num_link, ref roottrasf, ref assemblyofmates);
swSubFeat = (Feature)swSubFeat.GetNextSubFeature();
} // end while loop on subfeatures mates
} // end if mate group
swFeat = (Feature)swFeat.GetNextFeature();
} // end while loop on features
}
示例3: GetFeatureByName
internal static bool GetFeatureByName(ModelDoc2 inModel, string inName, out Feature outFeature)
{
Feature swSubFeature;
bool ret = false;
outFeature = (Feature)inModel.FirstFeature();
while (outFeature != null)
{
if (outFeature.Name == inName)
{
ret = true;
break;
}
swSubFeature = (Feature)outFeature.GetFirstSubFeature();
while (swSubFeature != null)
{
if (swSubFeature.Name.ToLower() == inName.ToLower())
{
ret = true;
break;
}
swSubFeature = (Feature)swSubFeature.GetNextSubFeature();
}
if (ret) break;
outFeature = (Feature)outFeature.GetNextFeature();
}
return ret;
}